Apache HTTP Server (httpd) 2.2.15 Released - includes security fixes

http://www.apache.org/dist/httpd/Announcement2.2.html

Version 2.2.15 fixes these three vulnerabilities.

* important: mod_isapi module unload flaw CVE-2010-0425 (Windows)
* low: Subrequest handling of request headers (mod_headers) CVE-2010-0434
* moderate: mod_proxy_ajp DoS CVE-2010-0408

It is recommended that Apache be updated to the latest code version.

Thanks,
ep